usb-storage not reconizing LG cu920 after 9.10 upgrade

Bug #477031 reported by Mike on 2009-11-06
70
This bug affects 12 people
Affects Status Importance Assigned to Milestone
usb-modeswitch (Ubuntu)
Undecided
Didier Raboud

Bug Description

Running:
Linux mike-desktop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

xubuntu Karmic Koala 9.10 upgrade from Jaunty 9.04

Since the upgrade I've had problems with usb-storage and my LG CU920
After plugging in, it fails to detect the actual device and does not mount anything, although it does know SOMETHING is there...

Some information:

[dmesg after unplugging & plugging a few times]:
mike@mike-desktop:~/Desktop$ dmesg | grep -i usb
[ 0.133005] usbcore: registered new interface driver usbfs
[ 0.133033] usbcore: registered new interface driver hub
[ 0.133066] usbcore: registered new device driver usb
[ 0.823671] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 0.824222] ehci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 1
[ 0.836009] ehci_hcd 0000:00:10.3: USB 2.0 started, EHCI 1.00
[ 0.836141] usb usb1: configuration #1 chosen from 1 choice
[ 0.836189] hub 1-0:1.0: USB hub found
[ 0.836307] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 0.836344] uhci_hcd: USB Universal Host Controller Interface driver
[ 0.836500] uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 2
[ 0.836631] usb usb2: configuration #1 chosen from 1 choice
[ 0.836668] hub 2-0:1.0: USB hub found
[ 0.836805] uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 3
[ 0.836938] usb usb3: configuration #1 chosen from 1 choice
[ 0.836979] hub 3-0:1.0: USB hub found
[ 0.837121] uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 4
[ 0.837251] usb usb4: configuration #1 chosen from 1 choice
[ 0.837286] hub 4-0:1.0: USB hub found
[ 1.444012] usb 2-1: new full speed USB device using uhci_hcd and address 2
[ 1.636256] usb 2-1: configuration #1 chosen from 1 choice
[ 1.953178] usb 2-2: new low speed USB device using uhci_hcd and address 3
[ 1.961980] Initializing USB Mass Storage driver...
[ 1.998488] scsi4 : SCSI emulation for USB Mass Storage devices
[ 1.998684] usbcore: registered new interface driver usb-storage
[ 1.998691] USB Mass Storage support registered.
[ 2.005682] usb-storage: device found at 2
[ 2.005688] usb-storage: waiting for device to settle before scanning
[ 2.135238] usb 2-2: configuration #1 chosen from 1 choice
[ 2.146893] usbcore: registered new interface driver hiddev
[ 2.159642] input: Logitech Optical USB Mouse as /devices/pci0000:00/0000:00:10.0/usb2/2-2/2-2:1.0/input/input5
[ 2.159791] generic-usb 0003:046D:C016.0001: input,hidraw0: USB HID v1.10 Mouse [Logitech Optical USB Mouse] on usb-0000:00:10.0-2/input0
[ 2.159825] usbcore: registered new interface driver usbhid
[ 2.159831] usbhid: v2.6:USB HID core driver
[ 7.005481] usb-storage: device scan complete
[ 464.672081] usb 2-1: USB disconnect, address 2
[ 466.152044] usb 2-1: new full speed USB device using uhci_hcd and address 4
[ 466.309678] usb 2-1: configuration #1 chosen from 1 choice
[ 466.397271] cdc_acm 2-1:1.0: ttyACM0: USB ACM device
[ 466.399751] usbcore: registered new interface driver cdc_acm
[ 466.399760] cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
[ 466.656122] usb 2-1: USB disconnect, address 4
[ 470.864057] usb 2-1: new full speed USB device using uhci_hcd and address 5
[ 471.022383] usb 2-1: configuration #1 chosen from 1 choice
[ 471.031257] scsi5 : SCSI emulation for USB Mass Storage devices
[ 471.031908] usb-storage: device found at 5
[ 471.031912] usb-storage: waiting for device to settle before scanning

mike@mike-desktop:~/Desktop$ lsusb -v
Bus 002 Device 005: ID 05c6:1000 Qualcomm, Inc.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x05c6 Qualcomm, Inc.
  idProduct 0x1000
  bcdDevice 0.00
  iManufacturer 1
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x84 EP 4 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x05 EP 5 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
cannot read device status, Operation not permitted (1)

Bus 002 Device 003: ID 046d:c016 Logitech, Inc. M-UV69a/HP M-UV96 Optical Wheel Mouse
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x046d Logitech, Inc.
  idProduct 0xc016 M-UV69a/HP M-UV96 Optical Wheel Mouse
  bcdDevice 3.40
  iManufacturer 1
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 34
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 2 Mouse
      iInterface 0
      ** UNRECOGNIZED: 09 21 10 01 00 01 22 34 00
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0004 1x 4 bytes
        bInterval 10
can't get device qualifier: Operation not permitted
can't get debug descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0001 1.1 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed (or root) hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
can't get hub descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0001 1.1 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed (or root) hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
can't get hub descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0001 1.1 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed (or root) hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
can't get hub descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0002 2.0 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed (or root) hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0004 1x 4 bytes
        bInterval 12
can't get hub descriptor: Operation not permitted
can't get device qualifier: Operation not permitted
can't get debug descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

I also found a bug report pertaining to adding a usb-storage option to /etc/modules:
usb-storage option_zero_cd=2

Since the upgrade, it does not matter if this option is enabled or not, same results. I've searched high and low for a fix, but there are very few posts about a similar error.

Confirm. The same problem after upgrade to Karmic Koala with Samsung S5600. Previously I used option_zero_cd=2 but now it's useless.

Dalum (uberdalum) wrote :

Agreed, I've been having this same problem since anything past 8.10. My daughter has been on 9.04 and both my machines (eeePC 701 and a desktop) are stuck in old version land because I rely on the connectivity to my phone daily. :(

Ramdidan (klaus-stoerche) wrote :

Same problem for me after upgrading from Jaunty to Karmic. LG HB620T with the same USB-ID (05c6:1000), same dmesg output:
[42975.040716] usb 2-1: new full speed USB device using uhci_hcd and address 2
[42975.203836] usb 2-1: configuration #1 chosen from 1 choice
[42975.210728] scsi4 : SCSI emulation for USB Mass Storage devices
[42975.211017] usb-storage: device found at 2
[42975.211021] usb-storage: waiting for device to settle before scanning
But the device never seems to settle...
The option_zero_cd entry which suceeded in Jaunty makes no difference.

Ryan Lux (alphalux) wrote :

Same problem upon upgrading to Karmic on Samsung U-900 USBID (storage mode): "05c6:1000". I also used option_zero_cd=2 in Jaunty, which worked fine until now.

Ramdidan (klaus-storch) on 2009-12-18
Changed in linux (Ubuntu):
status: New → Confirmed
Nedelcu Alin (nedelcu) wrote :

Same problem here with AnyData ADU-510L USB CDMA Modem (ID 05c6:1000 Qualcomm, Inc) after updating to 9.10
I tried kernels from 2.6.31-14 to 2.6.31-17 and even 2.6.33-rc2. It doesn't work ANYMORE as in 9.4 !!!

bclintbe (bclintbe) wrote :

Using LG Shine with 9.10 64-bit and having same connection problem.

Carl Brown (cb-cbsled) wrote :

I have not seen anything that suggests that any other device except those which identify as:
ID 05c6:1000 Qualcomm, Inc.
from lsusb are affected by this bug. This bug was introduced in a kernel version change, as these devices formerly worked correctly. I am not sure what version introduced the bug, but it is now appears to be present even in Debian Stable running 2.6.23. I booted that debian system to 2.6.18, which is still on the grub menu, to test it, and the system still failed to recognize the USB device.

Of course, this is all assuming that the bug is in the usb_storage module, not in the Qualcomm 05c6:1000 hardware.

Sergey Tachenov (laerel) wrote :

AnyDATA ADU-510A, the same problem. On 8.10 it was fine, on 9.04 it was automatically disconnecting and reconnecting after about a minute, but working fine afterwards, now on 9.10 it doesn't work at all. It just says:
[ 138.550055] usb 2-1: new full speed USB device using ohci_hcd and address 2
[ 138.742595] usb 2-1: configuration #1 chosen from 1 choice
[ 138.753397] scsi6 : SCSI emulation for USB Mass Storage devices
And then nothing.

Sergey Tachenov (laerel) wrote :

I've found a workaround for this bug. Comment out in /lib/udev/rules.d/61-option-modem-modeswitch.rules this line:
ATTRS{idVendor}=="05c6", ATTRS{idProduct}=="1000", RUN+="modem-modeswitch -v 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"
Then it works with option_zero_cd=2, eject and one minute reconnect, just as in 9.04.

Ramdidan (klaus-storch) wrote :

Thanks for the workaround! It worked for me. If someone else (e. g. Mike as as the bug reporter?) could confirm that the workaround works for him too, I would move the bug to the udev package, as 61-option-modem-modeswitch.rules belongs to this package.

I'm aware of the fact that the vendor/product id is also used by some modems - so this rule has its reason. I don't know if there is another solution than to make either the storage OR the modem device owners happy.

Mike (mwielgosz) wrote :

Unfortunately, I am not able to deny or confirm that this solution works as I do not own the LG CU920 phone anymore. I have switched phones a while ago and currently do not have problems with it. I am happy to find that the community has found that there is a workaround which works and the problem is no longer an issue. If any other users that have replied to this bug can confirm that this workaround works, I'm sure the moderators can confirm this bug thread solved, and we can move on.

Once again, thank you community for your help and support with this issue.

Ramdidan (klaus-storch) wrote :

For me it seems that this bug is well analyzed in https://bugs.launchpad.net/ubuntu/+source/udev/+bug/500726 I don't know how well the solution proposed there is suited for this problem, but I tend to mark this bug as duplicate.

Jonas (jonaswilms) wrote :

The workaround works also for me with LG HB620T.
This bug report is much older then #500726, so the other one is a duplicate of this bug?!

Josua Dietze (digidietze) wrote :

No, bug #500726 is not a duplicate of this bug.

It is about a different device, even if it describes the root of the problem.

Please revert the duplicate status.

Josua Dietze (digidietze) wrote :

Oh, and there is a discussion on the ubuntu-devel mailing list about replacing modem-modeswitch with usb-modeswitch alltogether. Will probably be in 10.10.

Christian Baedorf (cbaedorf) wrote :

i can confirm too that it works with the lg hb 620t. see Bug #482329

Sergey Tachenov (laerel) wrote :

It's not a "storage vs modems" problem only. My AnyDATA ADU-510A is a modem, but it doesn't need usb-modeswitch to work. In fact, it's usb-modeswitch that makes it fail. Instead, I use "eject sr1" (where /dev/sr1 is my modem detected as CD-ROM) to switch it to modem mode - then it works. If I use usb-modeswitch, it just hangs. So I guess it's a bug in usb-modeswitch in my case, since it fails to send "eject" command to the modem properly so I have to do it myself.

Sergey Tachenov (laerel) wrote :

Oops, I meant to say "modem-modeswitch", of course.

Ramdidan (klaus-storch) wrote :

The udev package is the right place for this bug. I'm still unsure about the right status, as there is a proposed solution but the integration in Ubuntu seems not definitely sure.

affects: linux (Ubuntu) → udev (Ubuntu)
Jonas (jonaswilms) wrote :

The Solution at #9 from Sergey also works with 10.04 :-)

Brian Z (brian-zbr) wrote :

There is a similar problem with LG CU720 (see http://ubuntuforums.org/showthread.php?p=9431463). I tried the workaround from #9 here in Lucid, and it seemed to work at first, but then a file transfer froze and I couldn't re-connect the phone after that.

Salik Mahmud (salikmahmud) wrote :

Got the same problem in USB Broadband Modem Stick by ANYdata ADU 520A . Unfortunatelt I am new to Linux and have to stay back with windows to stay connected to internet. Whether be it a Wifi issue or a USB device issue, I have been observing Bugs and Bugs everywhere and we the Linux or open source community always make a joke about bugs in windows. In past one month I have seen more complex and painfully irritating bugs in Ubuntu 10.04 than I ever faced in Windows XP or 7. I dont know what to say but I am really disappointed by Ubuntu Linux as compared to my expectations that I had before using it. Every Morning I face some new Mr. Bug itching me and wasting my whole day. If tonight I will shut down the laptop with everything working, The wifi may Greet me a Good Morning with a Message of "Wireless Network Disabled" just for nothing and no hardware switch or any software trick works until I reinstall and when I plan to buy a USB stick and use it as my internet resource the Ubuntu Greets me a good afternoon by telling me there is a bug in USB modem mode switch also. Now every night When I sleep I am afraid if Ubuntu sends a Bug in my Bed and My Bed Says Sorry you Cant Sleep here because the Bed Sleep switch is Bugged. I am sorry if I said too much but Ubuntu 10.04 has been ridiculing me for past one month. If we get down to scorings probably Ubuntu 10 has more scores in failure than windows7 that I was using, Atleast I could get all my hardware smoothly detected without any Geek Squeaks.

I was advising everyone around to switch to Linux Ubuntu but now I realize Linux is still something that has to be studied as a course for a year or so and then use it as operating system.:( :(

hcmeyer (hcmeyer) wrote :

I have a Samsung Reclaim phone that has this bug, when I use the phone's menu to select "Mass Storage", it shows on lsusb as "05c6:1000 Qualcomm mass storage device" and does not mount as a disk.
I commented out the line in 61-option-modem-modeswitch.rules for that ID. After the change, the device mounts, but any attempt to read it produces I/O errors.
If I do not use the phone menu to select "Mass Storage", the phone shows on lsusb as "04e8:6640 Samsung USB modem enumerator"
System is a Meerkat.

Martin Pitt (pitti) on 2010-08-20
affects: udev (Ubuntu) → usb-modeswitch (Ubuntu)
Didier Raboud (odyx) wrote :

Hi,

using maverikc's usb-modeswitch and usb-modeswitch-data, it should just work.

Changed in usb-modeswitch (Ubuntu):
assignee: nobody → Didier Raboud (odyx)
status: Confirmed → Fix Committed
Didier Raboud (odyx) wrote :

Closing for now. Please re-open if something bad appears with maverick's usb-modeswitch and usb-modeswitch-data.

Changed in usb-modeswitch (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers